curl --request POST \
--url https://api.alpha-1edtech.ai/ap-readiness/goals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"studentSourcedId": "<string>",
"subject": "AP Biology",
"courseIds": [
"<string>"
],
"startDate": "<string>",
"endDate": "<string>",
"practiceTestCourseIds": []
}
'{
"goal": {
"sourcedId": "<string>",
"status": "active",
"dateLastModified": "<string>",
"studentSourcedId": "<string>",
"subject": "AP Biology",
"goalType": "<string>",
"targetValue": "<string>",
"targetMetric": "<string>",
"paceType": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"goalStatus": "active",
"goalCreatedAt": "<string>",
"courseIds": [
"<string>"
],
"metadata": {
"practice_test_course_ids": [
"<string>"
]
},
"curriculumCourseIds": [
"<string>"
]
}
}Creates an AP readiness goal for a student. Only one active AP readiness goal is allowed per student and AP subject; creating a new one cancels the previous active goal for that student and subject.
curl --request POST \
--url https://api.alpha-1edtech.ai/ap-readiness/goals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"studentSourcedId": "<string>",
"subject": "AP Biology",
"courseIds": [
"<string>"
],
"startDate": "<string>",
"endDate": "<string>",
"practiceTestCourseIds": []
}
'{
"goal": {
"sourcedId": "<string>",
"status": "active",
"dateLastModified": "<string>",
"studentSourcedId": "<string>",
"subject": "AP Biology",
"goalType": "<string>",
"targetValue": "<string>",
"targetMetric": "<string>",
"paceType": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"goalStatus": "active",
"goalCreatedAt": "<string>",
"courseIds": [
"<string>"
],
"metadata": {
"practice_test_course_ids": [
"<string>"
]
},
"curriculumCourseIds": [
"<string>"
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
1Must be one of the 19 official College Board AP exam names
AP Biology, AP Calculus AB, AP Calculus BC, AP Chemistry, AP Computer Science A, AP Computer Science Principles, AP English Language and Composition, AP English Literature and Composition, AP Environmental Science, AP Human Geography, AP Microeconomics, AP Music Theory, AP Physics 1: Algebra-Based, AP Physics 2: Algebra-Based, AP Psychology, AP Statistics, AP US History, AP United States Government and Politics, AP World History: Modern All curriculum course IDs for this AP goal
11Start date of tracking period (ISO date)
^\d{4}-\d{2}-\d{2}$AP exam date (ISO date)
^\d{4}-\d{2}-\d{2}$Subset of courseIds that are practice test courses. Can be empty at creation.
1AP readiness goal created
Show child attributes